kernel

## Enum Preset.ReduceDomainStrategy

- java.lang.Object
- - java.lang.Enum<Preset.ReduceDomainStrategy>
  - - kernel.Preset.ReduceDomainStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Preset.ReduceDomainStrategy>

Enclosing class:
  Preset

    public static enum Preset.ReduceDomainStrategy
    extends java.lang.Enum<Preset.ReduceDomainStrategy>

The Enum ReduceDomainStrategy.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CutAllDimension` The Cut all dimension.
`CutFarDimension` The Cut far dimension.
`CutNearDimension` The Cut near dimension.

### Method Summary

All Methods Static Methods Concrete Methods
`static Preset.ReduceDomainStrategy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Preset.ReduceDomainStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CutAllDimension

    public static final Preset.ReduceDomainStrategy CutAllDimension

The Cut all dimension.

#### CutFarDimension

    public static final Preset.ReduceDomainStrategy CutFarDimension

The Cut far dimension.

#### CutNearDimension

    public static final Preset.ReduceDomainStrategy CutNearDimension

The Cut near dimension.

### Method Detail

#### values

    public static Preset.ReduceDomainStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Preset.ReduceDomainStrategy c : Preset.ReduceDomainStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Preset.ReduceDomainStrategy valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null